<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="" />
    <meta name="author" content="CERPEG" />
    <link rel="shortcut icon" href="assets/ico/favicon.png" />
    <title>Cartes bancaires</title>
    <link href='http://fonts.googleapis.com/css?family=Londrina+Shadow' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Carter+One' rel='stylesheet' type='text/css'>
    <link href="dist/css/cb.css" rel="stylesheet" />
    <style type="text/css" media="print">
      .dontprint { display: none; }
    </style>
  </head>
  <body>
  <?php $cb = json_decode(stripslashes($_GET['cb'])); ?>
    <div class="contain arrondi" id="front">
      <div class="g1"><?php echo substr($cb->numcb,0,4) ; ?></div>
      <div class="g2"><?php echo substr($cb->numcb,4,4) ; ?></div>
      <div class="g3"><?php echo substr($cb->numcb,8,4) ; ?></div>
      <div class="g4"><?php echo substr($cb->numcb,12,4) ; ?></div>
      <div class="expire">expire<br />fin</div>
      <div class="moisfin"><?php echo sprintf('%02d',$cb->moisfin).'/'.substr($cb->anfin,2,2) ; ?></div>
      <div class="name"><?php echo $cb->nomporteur ; ?></div>
      <div class="banque"><textarea rows="2" readonly="true"><?php echo $cb->nombanque ; ?></textarea></div>
      <div class="logocb"><img src="dist/img/master.jpg" /></div>
      <div class="logobq"><img src="dist/img/<?php echo $cb->icobq; ?>" /></div>
    </div>
    <p>Code secret : <strong><?php echo $cb->codesec ; ?></strong></p>
    <div class="containback arrondi" id="back">
      <div id="magnet"></div>
      <div id="signe"></div>
      <div id="mention">AUTHORIZER SIGNATURE - SIGNATURE OBLIGATOIRE - NOT VALID UNLESS SIGNED</div>
      <div id="secret"><?php echo $cb->crypto ; ?></div>
    </div>
    <div class="dontprint">
        <p>&nbsp;</p>
        <label for="decor" class="col-sm-3 control-label">Sélectionnez un décor</label>
          <div>
            <select id="decor" class="form-control input-sm">
                <option value="foot1.jpg" selected="selected">Football</option>
                <option value="rugby1.jpg">Rugby</option>
                <option value="natation1.jpg">Natation</option>
                <option value="tennis1.jpg">Tennis</option>
                <option value="natur1.jpg">Mer</option>
                <option value="natur2.jpg">Montagne</option>
            </select> 
          </div>
          <input type="button" id="btnSave" value="Save PNG"/>
    </div>
    <script src="assets/js/jquery.js"></script>
    <script src="html2canvas.js"></script>
    <script src="canvas2image.js"></script>
  </body>
</html>
<script>
$('#decor').on('change',function()
  {
    var decor = $(this).val();
    $('.contain').css('background-image', 'url(' + "dist/img/fondcb/" + decor + ')'); 
 });  

</script>
<script language="javascript">
$(document).ready(function() {
  var capture = {};
  var target = $('#front');
  html2canvas(target, {
    onrendered: function(canvas) {
      document.body.appendChild( canvas );

       theCanvas = canvas;
                

                // Convert and download as image 
                Canvas2Image.saveAsPNG(canvas); 
                /*$("#img-out").append(canvas);*/
      /*capture.img = canvas.toDataURL( "image/png" );
      capture.data = { 'image' : capture.img };
      $.ajax({
      url: "/ajax.php",
      data: capture.data,
      type: 'post',
      success: function( result ) {
        console.log( result );
      }
      });*/
    }
  });
});
</script>

